# revsuine.xyz Website

These are the markdown files used to build [my website](https://revsuine.xyz/) with [Hugo](https://gohugo.io/).

# Style

Lines have a character limit of 120 where possible.

# Theme Branches

I have branches for each theme for the website. Commits to `master` should be theme-independent commits, e.g. new
posts. Theme branches should pull from `master` whenever there are new `master` commits. Commits exclusive to theme
branches should *only* be for changes relevant to the theme.

Theme branches are what should be used to build the website. `master` should not be used for building/deployment, only
to store common changes among all branches.

# Licensing

The contents of this git repo are licensed under [GPLv3](https://www.gnu.org/licenses/gpl-3.0.txt). The contents of the
website itself, e.g. blog posts, are licensed under
[CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/legalcode).

